> For the complete documentation index, see [llms.txt](https://docs.algebra.finance/algebra-integral-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0/v2.0-periphery/iperipherypayments.md).

# IPeripheryPayments

Periphery Payments

Functions to ease deposits and withdrawals of NativeToken

*Developer note: Credit to Uniswap Labs under GPL-2.0-or-later license: <https://github.com/Uniswap/v3-periphery>*

## Functions

### unwrapWNativeToken

`function unwrapWNativeToken(uint256 amountMinimum, address recipient) external payable` payable external

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken. *Developer note: The amountMinimum parameter prevents malicious contracts from stealing WNativeToken from users.*

| Name          | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| amountMinimum | uint256 | The minimum amount of WNativeToken to unwrap |
| recipient     | address | The address receiving NativeToken            |

### refundNativeToken

`function refundNativeToken() external payable` payable external

Refunds any NativeToken balance held by this contract to the \`msg.sender\` *Developer note: Useful for bundling with mint or increase liquidity that uses ether, or exact output swaps that use ether for the input amount*

### sweepToken

`function sweepToken(address token, uint256 amountMinimum, address recipient) external payable` payable external

Transfers the full amount of a token held by this contract to recipient *Developer note: The amountMinimum parameter prevents malicious contracts from stealing the token from users*

| Name          | Type    | Description                                                                  |
| ------------- | ------- | ---------------------------------------------------------------------------- |
| token         | address | The contract address of the token which will be transferred to \`recipient\` |
| amountMinimum | uint256 | The minimum amount of token required for a transfer                          |
| recipient     | address | The destination address of the token                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0/v2.0-periphery/iperipherypayments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
